Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.management.stats
Class RouterStatistics

    java.lang.Object
      org.mule.management.stats.RouterStatistics

All Implemented Interfaces:
  Serializable, Statistics

    public class RouterStatistics

extends Object
implements Statistics

`RouterStatistics` TODO

See Also:
  Serialized Form

Field Summary
`static int` | `TYPE_BINDING`
`static int` | `TYPE_INBOUND`
`static int` | `TYPE_OUTBOUND`
`static int` | `TYPE_RESPONSE`

Constructor Summary
`RouterStatistics(int type)` The constructor

Method Summary
`void` | `clear()`
`long` | `getCaughtMessages()`
`long` | `getNotRouted()`
`Map` | `getRouted()`
`long` | `getRouted(String endpointName)`
`long` | `getTotalReceived()`
`long` | `getTotalRouted()`
`void` | `incrementCaughtMessage()` Increment no routed message
`void` | `incrementNoRoutedMessage()` Increment no routed message
`void` | `incrementRoutedMessage(Collection endpoints)` Increment routed message for multiple targets
`void` | `incrementRoutedMessage(Object endpoint)` Increment routed message for an endpoint
`boolean` | `isEnabled()` Are statistics logged
`boolean` | `isInbound()`
`void` | `logSummary()`
`void` | `logSummary(PrintWriter printer)`
`void` | `setEnabled(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_INBOUND

    public static final int TYPE_INBOUND

See Also:
  Constant Field Values

### TYPE_OUTBOUND

    public static final int TYPE_OUTBOUND

See Also:
  Constant Field Values

### TYPE_RESPONSE

    public static final int TYPE_RESPONSE

See Also:
  Constant Field Values

### TYPE_BINDING

    public static final int TYPE_BINDING

See Also:
  Constant Field Values

Constructor Detail

### RouterStatistics

    public RouterStatistics(int type)

  The constructor

Method Detail

### clear

    public void clear()

  See Also:
    `org.mule.api.management.stats.Statistics#clear()`

### isEnabled

    public boolean isEnabled()

  Description copied from interface: `Statistics`
  Are statistics logged

  Specified by:
    `isEnabled` in interface `Statistics`
  See Also:
    `Statistics.isEnabled()`

### logSummary

    public void logSummary()

### logSummary

    public void logSummary(PrintWriter printer)

### setEnabled

    public void setEnabled(boolean b)

  See Also:
    `org.mule.api.management.stats.Statistics#setEnabled(boolean)`

### incrementRoutedMessage

    public void incrementRoutedMessage(Collection endpoints)

  Increment routed message for multiple targets

  Parameters:
    `endpoints` - The endpoint collection

### incrementRoutedMessage

    public void incrementRoutedMessage(Object endpoint)

  Increment routed message for an endpoint

  Parameters:
    `endpoint` - The endpoint

### incrementNoRoutedMessage

    public void incrementNoRoutedMessage()

  Increment no routed message

### incrementCaughtMessage

    public void incrementCaughtMessage()

  Increment no routed message

### getCaughtMessages

    public final long getCaughtMessages()

  Returns:
    Returns the notRouted.

### getNotRouted

    public final long getNotRouted()

  Returns:
    Returns the notRouted.

### getTotalReceived

    public final long getTotalReceived()

  Returns:
    Returns the totalReceived.

### getTotalRouted

    public final long getTotalRouted()

  Returns:
    Returns the totalRouted.

### getRouted

    public final long getRouted(String endpointName)

  Returns:
    Returns the totalRouted.

### isInbound

    public boolean isInbound()

### getRouted

    public Map getRouted()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.